<?php 
require_once("../datos/mysqlticket.php");
date_default_timezone_set("America/Santiago");
$t = new mysqlticket();
$indice = $_POST['name'];
/* getVerify  -- FUNCION PARA VERIFICAR LAS CREDENCIALES del CLIENTE*/
if($indice == "saveTicket"){
			$id_calendario= $_POST['id_calendario'] ;
			$id_propiedad =$_POST['id_propiedad'] ;
			$id_estadoticket= $_POST['id_estadoticket'];
			$id_persona =$_POST['id_persona'];
		  	$fecharegistro =date("Y-m-d H:i:s");
			$propietario =$_POST['propietario'];
			$v_nombre  =$_POST['v_nombre'];
			$v_apellido =$_POST['v_apellido'];
			$v_correo    =$_POST['v_correo'];
			$v_relacion  =   $_POST['v_relacion'];
			$v_telefono  =   $_POST['v_telefono'];
			$cantidad    =   $_POST['cantidad'];
			$listapreguntas= $_POST['listapreguntas'];
			$listadetalles=  $_POST['listadetalles'];
			$listaimagenes = $_POST['listaimagenes'];
  			//EMAIL ENVIADO
  			$email_enviado = 0;
  			//PERSONAS REGISTRAN
			$r_nombre =$_POST['r_nombre'];
			$r_apellido =$_POST['r_apellido'];
			$r_correo =$_POST['r_correo'];
			$r_relacion =$_POST['r_relacion'];
			$r_telefono =$_POST['r_telefono'];
  			$emergencia = $_POST['emergencia'];

  	$resultado = $t->saveTicket($id_calendario,$id_propiedad ,$id_estadoticket,$id_persona,$fecharegistro,$propietario,
  								$v_nombre ,$v_apellido,$v_correo,$v_relacion,$v_telefono,$cantidad,$listapreguntas, 
  								$listadetalles,$email_enviado,$emergencia,$listaimagenes,$r_nombre ,$r_apellido ,$r_correo ,$r_relacion ,$r_telefono);
  	echo $resultado;
}else if($indice == "reprogramar"){
	$id_ticket= $_POST['id_ticket'] ;
	$hora_nueva =$_POST['hora_nueva'] ;
	$movimiento= $_POST['movimiento'];
	$hora_vieja = $_POST['hora_vieja'];
	$usuario_registra =$_POST['usuario_registra'];
	$observacion = $_POST['observaciones'];
  	$resultado = $t->reprogramar($id_ticket,$hora_nueva,$hora_vieja,$movimiento,$usuario_registra,$observacion);
  	echo $resultado;
}else if($indice == "getprimeravisita"){
 $id_ticket = $_POST['id_ticket'];
	 $resultado = $t->getprimeravisita($id_ticket);
      	if(empty($resultado)){
			echo "";
		}
		else{
			for($i=0;$i<count($resultado);$i++){
			$id_calendario = $resultado[$i]['ID_CALENDARIO'];
			}
			echo $id_calendario;
		}
}else if($indice == "cancelarticket"){
	 $id_ticket = $_POST['id_ticket'];
	 $observacion = $_POST['motivos'];
	 $usuario_registra =$_POST['usuario_registra'];
	 $id_motivo = $_POST['id_motivo'];
	 $id_propietario = $_POST['id_propietario'];
	 $tipousuario = $_POST['tipousuario'];
	 $resultado = $t->cancelarticket($id_ticket,$observacion,$usuario_registra,$id_motivo,$id_propietario,$tipousuario);
	 echo $resultado;

}else if($indice == "reprogramar2visita"){
	//CON ESTO GENERO LA HORA
	$id_proyecto = $_POST['id_proyecto'];
	$tipocalendario = $_POST['tipocalendario'];
	$responsable = $_POST['responsable'];
	$fec_inicio = $_POST['fec_inicio'];
	$fec_fin = $_POST['fec_fin'];
	//CON ESTO TOMO LA HORA DE 2 VISITA
	$id_ticket= $_POST['id_ticket'] ;
	$movimiento= $_POST['movimiento'];
	$hora_vieja = $_POST['hora_vieja'];
	$usuario_registra =$_POST['usuario_registra'];
	$observacion = $_POST['observaciones'];
	$resultado = $t->reprogramar2visita($id_proyecto,$tipocalendario,$usuario_registra,$responsable,$fec_inicio,$fec_fin,
										$id_ticket,$hora_vieja,$movimiento,$observacion);
	echo $resultado;

}else if($indice == "getMovimientos"){
	$id_ticket = $_POST['id_ticket'];
	$resultado = $t->getMovimientos($id_ticket);
	$movimientos = "";
		if(empty($resultado)){
			echo "";
		}else{
				for($i=0;$i<count($resultado);$i++){
						$movimientos =$movimientos."<div class='comments-list'>
                        <div class='media'>
                           <small class='pull-right text-muted'>
                                <span class='glyphicon glyphicon-time'></span> ".$resultado[$i]['timediff']."</small>
                            <div class='media-body'>
                              <h4 class='media-heading user_name'><small>".$resultado[$i]['MOVIMIENTO']."</small> ".$resultado[$i]['NOMBRE']." ".$resultado[$i]['APE_PATERNO']."  <span class='label label-default'> ".$resultado[$i]['PERFIL']."</span></h4>
                              <div class='msg msg-warning'>".$resultado[$i]['OBSERVACION']."</div>              			
                            </div>
                          </div>";
					}
	}
	echo $movimientos."</div>";
}else if($indice =="getPreguntas"){
	$id_ticket = $_POST['id_ticket'];
	$resultado = $t->getPreguntas($id_ticket);
	$preguntas = "";
		if(empty($resultado)){
			echo "";
		}
		else{
			for($i=0;$i<count($resultado);$i++){
			$preguntas =$preguntas."<div class='col-sm-'>
                     <div class='form-group'>
                        <label class='col-sm-6 control-label'>".$resultado[$i]['PREGUNTA']."</label><div class='col-sm-4'>";
                        if($resultado[$i]['RESPUESTA'] == "1"){
    						$preguntas = $preguntas."<div class='rdio rdio-success '>
                                <input type='radio' disabled='disabled' checked class='pop'   value='1' >
                                <label>NO</label>
                            </div>";

                        }else{
                        	 $preguntas = $preguntas."<div class='rdio rdio-danger'>
                                <input type='radio' class='pop'  checked disabled='disabled'   value='1' >
                                <label>SI</label>
                            </div>";
                        }
                   $preguntas = $preguntas."</div></div></div>";
			}
		}
	echo $preguntas;
}else if($indice == "getInfodetalleTicket"){
	$id_ticket	 = $_POST['id_ticket'];
	$resultado	 = $t->getInfodetalleTicket($id_ticket);
	echo json_encode($resultado);	
}else if($indice == "cambiar"){
	$id_ticket = $_POST['id_ticket'];
	$estado = "2";
	$resultado = $t->cambiarestadoTicket($id_ticket,$estado);
	echo $resultado;
}else if($indice == "getprimeravisitaHoras"){
	$id_ticket	 = $_POST['id_ticket'];
	$resultado	 = $t->getprimeravisita($id_ticket);
	echo json_encode($resultado);

}else if($indice == "getsubcategorias"){
	$id_categoria = $_POST['id_categoria'];
	$resultado	 = $t->getsubcategorias($id_categoria);
	echo json_encode($resultado);
}else if($indice == "setCategorizacion"){
	$listaguardar = $_POST['categoriaguardar'];
	$listaimagenes =  $_POST['listaimagenes'];
  	$fecharegistro =date("Y-m-d H:i:s");
  	$id_ticket = $_POST['id_ticket'];
  	$usuario_registra = $_POST['usuario_registra'];
	$resultado = $t->setCategorizacion($id_ticket,$listaguardar,$fecharegistro,$listaimagenes,$usuario_registra);
	echo $resultado;
}else if($indice == "finalizarTICKET"){
	$id_ticket = $_POST['id_ticket'];
	$observaciones = $_POST['observaciones'];
	$id_persona_registra = $_POST['usuario_registra'];

	$SeEnviaDescripcion = $_POST['SeEnviaDescripcion'];
    $variable = 0;
	if($SeEnviaDescripcion == 1){
	 $variable = 1;
	}
	$resultado = $t->finalizarTICKET($id_ticket,$observaciones,$id_persona_registra,$variable);

	echo $resultado;

}else if($indice == "pasarProceso"){
	$id_ticket = $_POST['id_ticket'];
	$id_persona_registra = $_POST['usuario_registra'];
	$resultado = $t->pasarProceso($id_ticket,$id_persona_registra);
	echo $resultado;

}else if($indice =="setFinalizaritem"){
	$listadetalles = $_POST['listadetalles'];
	$id_ticket = $_POST['id_ticket'];
	$id_persona_registra = $_POST['id_persona_registra'];
  	$fecharegistro =date("Y-m-d H:i:s");
	$SeEnviaDescripcion = $_POST['SeEnviaDescripcion'];
	$observaciones_finalizar = $_POST['Observaciones'];

    $variable = 0;
	if($SeEnviaDescripcion == 1){
	 $variable = 1;
	}
    $resultado = $t->setFinalizaritem($listadetalles,$id_persona_registra,$fecharegistro,$id_ticket,$variable,$observaciones_finalizar);
	echo $resultado;
}else if($indice == "MovimientoITEM"){
	$id_ticket = $_POST['id_ticket'];
	$id_persona_registra = $_POST['usuario_registra'];
	$observaciones = $_POST['observaciones'];
	$mov = $_POST['mov'];
	$resultado = $t->MovimientoITEM($id_ticket,$id_persona_registra,$observaciones,$mov);
	echo $resultado;
}else if($indice == "comentarioticket"){
	$id_ticket = $_POST['id_ticket'];
	$id_persona_registra = $_POST['id_persona_registra'];
	$comentarios = $_POST['comentarios'];
  	$fecharegistro =date("Y-m-d H:i:s");
	$resultado = $t->comentarioticket($id_ticket,$id_persona_registra,$comentarios,$fecharegistro);
	echo $resultado;
}else if($indice == "getComentariosTicket"){
	$id_ticket = $_POST['id_ticket'];
	$resultado = $t->getComentariosTicket($id_ticket);
	$comentarios = "";
		if(empty($resultado)){
			echo "";
		}
		else{
			for($i=0;$i<count($resultado);$i++){
				$comentarios = $comentarios."
					<article class='row'>
                                    <div class='col-md-2 col-sm-2 hidden-xs'>
                                      <figure class='thumbnail'>
                                        <img class='img-circle img-online' width='30' height='29' src='http://www.keita-gaming.com/assets/profile/default-avatar-c5d8ec086224cb6fc4e395f4ba3018c2.jpg'>
                                        <figcaption class='text-center'>".$resultado[$i]['USUARIO']."<p>".$resultado[$i]['PERFIL']."</p></figcaption>
                                      </figure>
                                    </div>
                                    <div class='col-md-10 col-sm-10'>
                                      <div class='panel panel-default arrow left'>
                                        <div class='panel-body'  style='height:120px;>
                                          <header class='text-left''>
		                                        <small class='pull-right text-muted'>
					                                    <span class='glyphicon glyphicon-time'></span> ".$resultado[$i]['TimeDiff']."
					                            </small>
                                            <div class='comment-user'><strong>".$resultado[$i]['NOMBRE']." ".$resultado[$i]['APE_PATERNO']."</strong></div>

                                          </header>
                                          <div class='comment-post'>
                                            <p>".$resultado[$i]['COMENTARIO']."
                                              
                                            </p>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                  </article>";
				}
		}
	echo $comentarios;

}else if($indice == "getdetallehistorial"){
	$id_detalle = $_POST['id_detalle'];
	$resultado = $t->getdetallehistorial($id_detalle);
	$historialdetalle = "<div class='activity-list'>";
		if(empty($resultado)){
		}
		else{
			for($i=0;$i<count($resultado);$i++){
				if($resultado[$i]['ID_PERFIL'] == "6"){
					$historialdetalle =$historialdetalle.$resultado[$i]['OBSERVACIONES']."
						<div class='media'>
                                <div class='media-body'>
                                    <small>".$resultado[$i]['NOMBRE']." ".$resultado[$i]['APE_PATERNO']."</small> ".$resultado[$i]['FEC_REGISTRO']." <small> ".$resultado[$i]['PERFIL']." </small>".$resultado[$i]['INICIALES'].". <br>
                                </div>    
                        </div>";	
				}else 
						$historialdetalle =$historialdetalle.$resultado[$i]['OBSERVACIONES']."
						<div class='media'>
                            <div class='media-body'>
                                <small>".$resultado[$i]['NOMBRE']." ".$resultado[$i]['APE_PATERNO']."</small> ".$resultado[$i]['FEC_REGISTRO']." <small> ".$resultado[$i]['PERFIL']." </small>".$resultado[$i]['INICIALES'].". <br>
                            </div>    
                        </div>";	
				}
			}
	echo $historialdetalle."</div>";


}else if($indice == "sethistorialdetalle"){
    $id_detalle = $_POST['id_detalle'];
	$id_persona_registra = $_POST['id_persona_registra'];
	$observaciones = $_POST['observaciones'];
  	$fecharegistro =date("Y-m-d H:i:s");
	$resultado = $t->sethistorialdetalle($id_detalle,$id_persona_registra,$observaciones,$fecharegistro);
	echo $resultado;
}else if($indice == "cancelar2visita"){
	$listacancelar = $_POST['listacancelar'];
	$resultado = $t->cancelar2visita($listacancelar);
	echo $resultado;

}else if($indice == "MovimientoCancelaritem"){
	$id_ticket = $_POST['id_ticket'];
	$id_persona_registra = $_POST['usuario_registra'];
	$observaciones = $_POST['observaciones'];
	$resultado = $t->MovimientoCancelaritem($id_ticket,$id_persona_registra,$observaciones);
	echo $resultado;

}else if($indice == "getTicketBYPROPIETARIO"){
	$id_propietario = $_POST['id'];
	$resultado = $t->getTicketBYPROPIETARIO($id_propietario);
	$url = $_POST['url'];
		$listapropietario = "<ul class='list-unstyled social-list'>";
		if(empty($resultado)){
		}
		else{

			for($i=0;$i<count($resultado);$i++){
			        $clave = base64_encode($resultado[$i]['ID_TICKET']);
					$listapropietario =$listapropietario."<li><a href=tickets.php?ticket=".$clave."&".$url.">Requerimiento: ".$resultado[$i]['ID_TICKET']." <p> Registro: ".$resultado[$i]['FEC_REGISTRO']."</p></a></li>";	
				}
			}
	echo $listapropietario."</ul>";
}else if($indice == "getTicketBYPROPIEDAD"){
	$id_propiedad = $_POST['id'];
	$url = $_POST['url'];

	$resultado = $t->getTicketBYPROPIEDAD($id_propiedad);
		$listapropietario = "<ul class='list-unstyled social-list'>";
		if(empty($resultado)){
		}
		else{

			for($i=0;$i<count($resultado);$i++){
			        $clave = base64_encode($resultado[$i]['ID_TICKET']);
					$listapropietario =$listapropietario."<li><a href=tickets.php?ticket=".$clave."&".$url.">Requerimiento: ".$resultado[$i]['ID_TICKET']." <p>Registro: ".$resultado[$i]['FEC_REGISTRO']."</p></a></li>";	
				}
			}
	echo $listapropietario."</ul>";
}else if($indice == "setEmitirMovimiento"){
	$id_ticket = $_POST['id_ticket'];
	$id_persona_registra = $_POST['id_persona_registra'];
	$comentarios = $_POST['comentarios'];
  	$fecharegistro =date("Y-m-d H:i:s");
	$resultado = $t->setEmitirMovimiento($id_ticket,$id_persona_registra,$comentarios,$fecharegistro);
	echo $resultado;
}else if($indice == "getDepasuperior"){
	$numero = $_POST['numero'];
	$id_proyecto = $_POST['id_proyecto'];
	$edificio = $_POST['edificio'];
	$resultado = $t->getDepasuperior($numero,$id_proyecto,$edificio);
	$listapropiedades = "<ul class='list-unstyled social-list'>";
	
	if(empty($resultado)){
	}
	else{

		for($i=0;$i<count($resultado);$i++){
				$listapropiedades =$listapropiedades."<li><a href ='#' id='verinforsuperior' value=".$resultado[$i]['ID_PERSONA'].">Número:".$resultado[$i]['NUMERO']."</p></a></li>";	
			}
		}
	echo $listapropiedades."</ul>";

}else if($indice == "getPersonaID"){
	$id_persona= $_POST['id_persona'];
	$resultado	 = $t->getPersonaID(trim($id_persona));
	echo json_encode($resultado);

}else if($indice == "NumeroPosventaprimeraVisita"){
	$id_propiedad = $_POST['id_propiedad'];
	$resultado	 = $t->NumeroPosventaprimeraVisita($id_propiedad);
	$conteo = 0;
	if(empty($resultado)){
	}else{
		for($i=0;$i<count($resultado);$i++){
			$conteo =$conteo+1;
		}
	}
	echo $conteo;
}else if($indice == "getImagenes"){
	$id_ticket_imagen = $_POST['id_ticket_imagen'];
	$resultado = $t->getImagenes($id_ticket_imagen);
	echo json_encode($resultado);

}else if($indice == "getinfodetalle"){
	$id_detalle = $_POST['id_detalle'];
	$resultado = $t->getinfodetalle($id_detalle);
	echo json_encode($resultado);
}else if($indice == "getgaleria"){
	$id_detalle = $_POST['id_detalle'];
	$resultado = $t->getgaleria($id_detalle);
	echo json_encode($resultado);
}else if($indice == "insertImagenes"){
  	$fecharegistro =date("Y-m-d H:i:s");
  	$id_persona = $_POST['id_persona'];
  	$id_detalle = $_POST['id_detalle'];
  	$key = $_POST['key'];
	$resultado = $t->insertImagenes($id_detalle,$id_persona,$fecharegistro,$key);
	echo $resultado;
}else if($indice == "setCancelaritem"){
	$listadetalles = $_POST['listadetalles'];
	$id_ticket = $_POST['id_ticket'];
	$id_persona_registra = $_POST['id_persona_registra'];
  	$fecharegistro =date("Y-m-d H:i:s");
	$resultado = $t->setCancelaritem($listadetalles,$id_persona_registra,$fecharegistro,$id_ticket);
	echo $resultado;
}else if($indice == "saveTicketTerceros"){
	//CREAMOS UN NUEVO USUARIO
	$nombre=$_POST['nombre'];
	$ape_paterno =$_POST['ape_paterno'];
	$ape_materno=$_POST['ape_materno'];
	$celular=$_POST['celular'];
	$tel_oficina=$_POST['tel_oficina'];
	$perfil=$_POST['perfil'];
	$rut=$_POST['rut'];
	$direccion=$_POST['direccion'];
	$tel_fijo=$_POST['tel_fijo'];
	$email=$_POST['email'];
	$id_tipopersona = "1";
	$fecharegistro =date("Y-m-d H:i:s");
	//TICKET
	$id_calendario= $_POST['id_calendario'] ;
	$id_propiedad =$_POST['id_propiedad'] ;
	$id_estadoticket= $_POST['id_estadoticket'];
	$id_persona =$_POST['id_persona'];
	$propietario =$_POST['propietario'];
	$v_nombre  =$_POST['v_nombre'];
	$v_apellido =$_POST['v_apellido'];
	$v_correo    =$_POST['v_correo'];
	$v_relacion  =   $_POST['v_relacion'];
	$v_telefono  =   $_POST['v_telefono'];
	$cantidad    =   $_POST['cantidad'];
	$listapreguntas= $_POST['listapreguntas'];
	$listadetalles=  $_POST['listadetalles'];
	$listaimagenes = $_POST['listaimagenes'];
		//EMAIL ENVIADO
	$email_enviado = 0;
		//PERSONAS REGISTRAN
	$r_nombre =$_POST['r_nombre'];
	$r_apellido =$_POST['r_apellido'];
	$r_correo =$_POST['r_correo'];
	$r_relacion =$_POST['r_relacion'];
	$r_telefono =$_POST['r_telefono'];
	$emergencia = $_POST['emergencia'];
	$resultado = $t->saveTicketTerceros($nombre,$ape_paterno,$ape_materno,$celular,$tel_oficina,$perfil,$rut,$direccion,$tel_fijo,
								$email,$id_tipopersona,$fecharegistro,$id_calendario,$id_propiedad ,$id_estadoticket,$id_persona,$propietario,
  								$v_nombre ,$v_apellido,$v_correo,$v_relacion,$v_telefono,$cantidad,$listapreguntas, 
  								$listadetalles,$email_enviado,$emergencia,$listaimagenes,$r_nombre ,$r_apellido ,$r_correo ,$r_relacion ,$r_telefono);
	echo $resultado;
}else if($indice == "getTieneDueno"){
	$id_propiedad = $_POST['id_propiedad'];
	$resultado = $t->getTieneDueno($id_propiedad);
	$valor = "";
  	if(empty($resultado)){
  			$valor = 0;
  	}else{
  		for($i =0;$i<count($resultado);$i++){
  			$valor= $resultado[$i]['ID_PERSONA'];
  		}	
  	}
  	echo trim($valor);
}else if($indice == "getsubcontratistasBYID"){
	$id_subcontratista = $_POST['id'];
	$resultado = $t->getsubcontratistasBYID($id_subcontratista);
	echo json_encode($resultado);
}else if($indice == "nuevoDetalle"){
	$id_ambiente = $_POST['id_ambiente'];
	$observacion = $_POST['observacion'];
	$id_ticket = $_POST['id_ticket'];
	$observacion_movimiento = $_POST['observacion_movimiento'];
	$usuario_registra = $_POST['usuario_registra'];
	$movimiento = $_POST['movimiento'];
  	$fecharegistro =date("Y-m-d H:i:s");
	$resultado = $t->nuevoDetalle($id_ambiente,$observacion,$id_ticket,$observacion_movimiento,$usuario_registra,$movimiento,$fecharegistro);
	echo $resultado;
}

?>


                     


